Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2016789 - [abrt] mate-screensaver: matemenu_tree_item_ref(): mate-screensaver killed by SIGSEGV
Summary: [abrt] mate-screensaver: matemenu_tree_item_ref(): mate-screensaver killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-screensaver
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4166f2e118194667101c7d2b460...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-23 20:47 UTC by todd_lewis
Modified: 2021-11-23 01:47 UTC (History)
2 users (show)

Fixed In Version: mate-screensaver-1.26.0-2.fc35 mate-screensaver-1.26.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-23 01:31:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: core_backtrace (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: cpuinfo (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: dso_list (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: environ (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: exploitable (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: limits (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: maps (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: mountinfo (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: open_fds (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details
File: proc_pid_status (deleted)
2021-10-23 20:48 UTC, todd_lewis
no flags Details

Description todd_lewis 2021-10-23 20:47:57 UTC
Description of problem:


Version-Release number of selected component:
mate-screensaver-1.26.0-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 3
cgroup:         0::/user.slice/user-12428.slice/session-2.scope
cmdline:        mate-screensaver
crash_function: matemenu_tree_item_ref
executable:     /usr/bin/mate-screensaver
journald_cursor: s=df6f3d8bf54144cc8859ece144e1447d;i=3f56f;b=e61c4bd4c8914c6f8238cbba28b4d28e;m=93cfe855;t=5cf09e8ca9fa7;x=293e28905ec00677
kernel:         5.14.13-200.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            12428

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 find_info_for_id at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-theme-manager.c:270
 #2 gs_theme_manager_lookup_theme_info at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-theme-manager.c:308
 #3 manager_select_theme_for_job at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:257
 #4 manager_show_window at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1318
 #5 window_show_cb at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1352
 #10 gtk_widget_show at /usr/src/debug/gtk3-3.24.30-1.fc34.x86_64/gtk/gtkwidget.c:4848
 #11 show_windows at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1781
 #12 gs_manager_activate at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1857
 #13 gs_manager_set_active at /usr/src/debug/mate-screensaver-1.26.0-1.fc34.x86_64/src/gs-manager.c:1903

Comment 1 todd_lewis 2021-10-23 20:48:00 UTC
Created attachment 1836356 [details]
File: backtrace

Comment 2 todd_lewis 2021-10-23 20:48:02 UTC
Created attachment 1836357 [details]
File: core_backtrace

Comment 3 todd_lewis 2021-10-23 20:48:03 UTC
Created attachment 1836358 [details]
File: cpuinfo

Comment 4 todd_lewis 2021-10-23 20:48:04 UTC
Created attachment 1836359 [details]
File: dso_list

Comment 5 todd_lewis 2021-10-23 20:48:05 UTC
Created attachment 1836360 [details]
File: environ

Comment 6 todd_lewis 2021-10-23 20:48:06 UTC
Created attachment 1836361 [details]
File: exploitable

Comment 7 todd_lewis 2021-10-23 20:48:07 UTC
Created attachment 1836362 [details]
File: limits

Comment 8 todd_lewis 2021-10-23 20:48:08 UTC
Created attachment 1836363 [details]
File: maps

Comment 9 todd_lewis 2021-10-23 20:48:10 UTC
Created attachment 1836364 [details]
File: mountinfo

Comment 10 todd_lewis 2021-10-23 20:48:11 UTC
Created attachment 1836365 [details]
File: open_fds

Comment 11 todd_lewis 2021-10-23 20:48:12 UTC
Created attachment 1836366 [details]
File: proc_pid_status

Comment 12 todd_lewis 2021-10-23 20:54:07 UTC
This happened with the following rpms installed:
$ rpm -qa | grep mate | grep menu
mate-menu-20.04.3-5.fc34.noarch
mate-menus-libs-1.26.0-2.fc34.x86_64
mate-menus-1.26.0-2.fc34.x86_64
mate-menus-preferences-category-menu-1.26.0-2.fc34.x86_64

See bug #1997852

Comment 13 Wolfgang Ulbrich 2021-10-23 21:10:52 UTC
Did you restart system or mate-screensaver after updating mate-menus?

Comment 14 todd_lewis 2021-10-24 11:29:19 UTC
(In reply to Wolfgang Ulbrich from comment #13)
> Did you restart system or mate-screensaver after updating mate-menus?

Yes, I rebooted. I couldn't get `rpm` to report installtime in the same format as `last` or `abrt`, but "02:28:31 PM EDT" is "14:28:31" in 24-hour local time. So:
install: 14:28:31
reboot:  14:31:17
abrt:    15:12:31

> [utoddl@lappy ~]$ rpm -q --qf="%{installtime:date} %{name}\n" mate-menus mate-menus-libs mate-menus-preferences-category-menu 
> Sat 23 Oct 2021 02:28:31 PM EDT mate-menus
> Sat 23 Oct 2021 02:28:31 PM EDT mate-menus-libs
> Sat 23 Oct 2021 02:28:32 PM EDT mate-menus-preferences-category-menu

> [utoddl@lappy ~]$ last -n 5 --time-format iso | grep ^reboot
> reboot   system boot  5.14.13-200.fc34 2021-10-23T14:31:17-04:00   still running

> [utoddl@lappy ~]$ abrt info c644b21
> Id            c644b21  
> Component     mate-screensaver  
> Count         1  
> Time          2021-10-23 15:12:31  
> Command line  mate-screensaver  
> Package       mate-screensaver-1.26.0-1.fc34  
> User id       12428 (utoddl)  
> Path          /var/spool/abrt/ccpp-2021-10-23-15:12:31.289416-1731  
> Reported to     
> ABRT Server   https://retrace.fedoraproject.org/faf/reports/bthash/18f1bc4f498b4521933967eaada162dc9f5aec5d  
> Bugzilla      https://bugzilla.redhat.com/show_bug.cgi?id=2016789 WORKFLOW=workflow_FedoraCCpp

Comment 15 Wolfgang Ulbrich 2021-11-04 16:51:45 UTC
Could you please test this mate-screensaver build with an upstream fix?
https://koji.fedoraproject.org/koji/taskinfo?taskID=78290275

from
https://github.com/mate-desktop/mate-screensaver/pull/262

Comment 16 Fedora Update System 2021-11-13 10:04:38 UTC
FEDORA-2021-20002cc727 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

Comment 17 Fedora Update System 2021-11-13 10:04:43 UTC
FEDORA-2021-8834f85ef0 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

Comment 18 Fedora Update System 2021-11-15 03:57:18 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20002cc727`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20002cc727

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-11-15 04:07:26 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8834f85ef0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8834f85ef0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-11-23 01:31:38 UTC
FEDORA-2021-8834f85ef0 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-11-23 01:47:43 UTC
FEDORA-2021-20002cc727 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.